package com.yd.api.agms.service;

import javax.servlet.http.HttpServletResponse;

import com.yd.api.agms.vo.hiring.*;
import com.yd.api.result.CommonResultResponseVO;

/**
 * @author xxy
 */
public interface AgmsHiringService {
    /**
     * AGMS -- 经纪人审批详情查询
     * @param requestVO 请求数据
     * @return 响应数据
     */
    PractitionerHiringDetailResponseVO practitionerHiringDetail(PractitionerHiringDetailRequestVO requestVO);

    /**
     * AGMS -- 经纪人审批列表查询
     * @param requestVO 请求数据
     * @return 响应数据
     */
    PractitionerHiringListResponseVO practitionerHiringList(PractitionerHiringListRequestVO requestVO);

    /**
     * AGMS -- 经纪人审批
     * @param requestVO 请求数据
     * @return 响应数据
     */
    PractitionerHiringApproveResponseVO practitionerHiringApprove(PractitionerHiringApproveRequestVO requestVO);

    PractitionerHiringListResponseVO practitionerHiringListV2(PractitionerHiringListRequestVO requestVO);

    PractitionerHiringListResponseVO practitionerApplyList(PractitionerHiringListRequestVO requestVO);

	CommonResultResponseVO exportPractitionerApplyList(PractitionerHiringListRequestVO requestVO,HttpServletResponse response);
    
}
